clang 10.0.0git

Public Member Functions | List of all members
clang::CallDescriptionMap< T > Class Template Reference

An immutable map from CallDescriptions to arbitrary data. More...

`#include "clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h"`

## Public Member Functions
| CallDescriptionMap (std::initializer_list< std::pair< CallDescription, T >> &&List)
| ~CallDescriptionMap ()=default
| CallDescriptionMap (const CallDescriptionMap &)=delete
CallDescriptionMap & | operator= (const CallDescription &)=delete
const T * | lookup (const CallEvent &Call) const

## Detailed Description

### template<typename T>
class clang::CallDescriptionMap< T >

An immutable map from CallDescriptions to arbitrary data.

Provides a unified way for checkers to react on function calls.

Definition at line 1110 of file CallEvent.h.

## Constructor & Destructor Documentation

## ◆ CallDescriptionMap() [1/2]

template<typename T>

clang::CallDescriptionMap< T >::CallDescriptionMap | ( | std::initializer_list< std::pair< CallDescription, T >> && | List | ) |
| inline

Definition at line 1119 of file CallEvent.h.

## ◆ ~CallDescriptionMap()

template<typename T>

clang::CallDescriptionMap< T >::~CallDescriptionMap | ( |  | ) |
| default

## ◆ CallDescriptionMap() [2/2]

template<typename T>

clang::CallDescriptionMap< T >::CallDescriptionMap | ( | const CallDescriptionMap< T > & |  | ) |
| delete

## Member Function Documentation

## ◆ lookup()

template<typename T>

const T* clang::CallDescriptionMap< T >::lookup | ( | const CallEvent & | Call | ) | const
| inline

Definition at line 1130 of file CallEvent.h.

## ◆ operator=()

template<typename T>

CallDescriptionMap& clang::CallDescriptionMap< T >::operator= | ( | const CallDescription & |  | ) |
| delete

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h